[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: aptitude out of date?

"Harald Dunkel" <harald.dunkel@t-online.de> writes:

> Andreas Jochens wrote:
>> On 04-Aug-11 15:25, Harald Dunkel wrote:
>>>Hi folks,
>>>Using aptitude of the gcc-3.4 pool I got an error message
>>> aptitude: Symbol `_ZTIN4SigC6ObjectE' has different size in shared
>>> object, consider re-linking
>>>Rebuilding aptitude did not work: The new binary died with a
>>>core dump immediately.
>> This sounds strange. I just created a fresh chroot from the gcc-3.4
>> archive with debootstrap and aptitude seems to run fine from that.
>> How did you install? Could this be caused by mixing packages from the
>> gcc-3.3 and the gcc-3.4 archives? In this case maybe 'apt-get
>> install --reinstall libsigc++-1.2-5c102' could help.
> I did an upgrade from pure64. (A fresh installation did not
> work for me, see my other EMail on this list.)

You can't upgrade (savely). Switching to gcc-3.4 needs a complete
reinstall of all packages.


Reply to: